﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FUTEK.Devices;

namespace USB225ConsoleExample
{
    class Program
    {
        static void Main(string[] args)
        {

            DeviceRepository repo = new DeviceRepository();

            //Use DetectDevices to discover usb225.
            List<Device> devices = repo.DetectDevices().ToList();
            DeviceUSB225 usb225 = devices.First() as DeviceUSB225;

            //Get model number
            Console.WriteLine("Model number: " + usb225.GetModelNumber());

            //Get instrument serial number
            Console.WriteLine("Instrument serial number: " + usb225.GetInstrumentSerialNumber());

            //Get channel 0 reading.
            Console.WriteLine("Channel 0 reading: " + usb225.GetChannelXReading(0));

            //Get channel 1 reading.
            Console.WriteLine("Channel 1 reading: " + usb225.GetChannelXReading(1));

            //Set sampling rate for channel 0

            string samplingRateBeforeSet = usb225.GetChannelXSamplingRate(0);

            Console.WriteLine("Current sampling rate: " + samplingRateBeforeSet);

            List<string> samplingRateOptions = usb225.GetChannelXSamplingRatePossibleValues(0);
            usb225.SetChannelXSamplingRate(0, samplingRateOptions.First());
            Console.WriteLine("Samlping rate set to: " + usb225.GetChannelXSamplingRate(0));

            usb225.SetChannelXSamplingRate(0, samplingRateOptions.Last());
            Console.WriteLine("Samlping rate set to: " + usb225.GetChannelXSamplingRate(0));

            //Set back sampling rate before examples
            usb225.SetChannelXSamplingRate(0, samplingRateBeforeSet);
            Console.WriteLine("Sampling rate set to original configuration of :" + samplingRateBeforeSet);
            var read = Console.Read();
        }
    }
}
